<div *transloco="let t" class="ion-page">
  <ion-header>
    <lib-custom-modal-header
      (backNavigationClick)="pop()"
      (closeClick)="close()"
      [title]="t(categoryNameKey)"
      class="modal-header"
    ></lib-custom-modal-header>
  </ion-header>

  <ion-content *transloco="let t">
    <ng-container *ngIf="loading$ | async">
      <ion-skeleton-text
        animated
        style="
          width: 40%;
          height: 32px;
          margin-bottom: 24px;
          border-radius: 4px;
        "
      ></ion-skeleton-text>
      <div class="poi-list-skeleton">
        <ng-container *ngFor="let i of [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]">
          <div class="poi-card-skeleton">
            <ion-skeleton-text
              animated
              style="
                width: 60%;
                height: 20px;
                margin-bottom: 8px;
                border-radius: 4px;
              "
            ></ion-skeleton-text>
            <div class="action-buttons">
              <ion-skeleton-text
                animated
                style="
                  width: 48px;
                  height: 36px;
                  border-radius: 4px;
                  margin-right: 8px;
                "
              ></ion-skeleton-text>
              <ion-skeleton-text
                animated
                style="
                  width: 48px;
                  height: 36px;
                  border-radius: 4px;
                  margin-right: 8px;
                "
              ></ion-skeleton-text>
              <ion-skeleton-text
                animated
                style="
                  width: 48px;
                  height: 36px;
                  border-radius: 4px;
                  margin-right: 8px;
                "
              ></ion-skeleton-text>
              <ion-skeleton-text
                animated
                style="width: 48px; height: 36px; border-radius: 4px"
              ></ion-skeleton-text>
            </div>
            <ion-skeleton-text
              animated
              style="
                width: 30%;
                height: 16px;
                margin-top: 8px;
                border-radius: 4px;
              "
            ></ion-skeleton-text>
          </div>
        </ng-container>
      </div>
    </ng-container>

    <ng-container *ngIf="(loading$ | async) === false">
      <div class="poi-list-wrapper">
        <h1>{{ t(categoryNameKey) }}</h1>

        <lib-notification-card
          *ngIf="
            ((geolocationService.permissionState$ | async) ===
              simplifiedPermissionState.denied ||
              (geolocationService.currentLocation$ | async) === null) &&
            deviceService.isNativePlatform()
          "
          [backgroundColor]="'var(--Hint-Background, #1E4F5A)'"
          [buttons]="permissionButton"
          [subTitleColor]="'var(--Secondary-Foreground)'"
          [subTitle]="t('feature_funfair.sections.permission_required')"
          [titleColor]="'var(--Main-Foreground, #ffffff)'"
          [title]="t('feature_funfair.sections.find_nearby')"
        ></lib-notification-card>

        <lib-funfair-category-filter
          (filterChanged)="onFilterChanged($event)"
          *ngIf="isGeolocationPermitted && !clickedFeatureId"
        ></lib-funfair-category-filter>

        <div
          *ngIf="featureSections$ | async as featureSections"
          class="flex-list-medium"
        >
          <div *ngIf="featureSections.length > 0" class="flex-list-minor">
            <h2 *ngIf="featureSections[0].titleKey">
              {{ t(featureSections[0].titleKey) }}
            </h2>
            <lib-funfair-poi-card
              (showDirectionsEvent)="onPoiDirectionsClicked($event)"
              *ngFor="
                let feature of featureSections[0].features;
                trackBy: trackById
              "
              [distance]="feature.properties['distance']"
              [fallBackTitle]="t(categoryNameKey)"
              [feature]="feature"
              [highlighted]="isHighlighted(feature)"
              [isFromBookmark]="isFromBookmark"
            ></lib-funfair-poi-card>
          </div>

          <lib-funfair-category-filter
            (filterChanged)="onFilterChanged($event)"
            *ngIf="isGeolocationPermitted && clickedFeatureId"
          ></lib-funfair-category-filter>

          <div
            *ngFor="let section of featureSections.slice(1)"
            class="flex-list-minor"
          >
            <h2 *ngIf="section.titleKey">{{ t(section.titleKey) }}</h2>
            <lib-funfair-poi-card
              (showDirectionsEvent)="onPoiDirectionsClicked($event)"
              *ngFor="let feature of section.features; trackBy: trackById"
              [distance]="feature.properties['distance']"
              [fallBackTitle]="t(categoryNameKey)"
              [feature]="feature"
              [highlighted]="isHighlighted(feature)"
              [isFromBookmark]="isFromBookmark"
            ></lib-funfair-poi-card>
          </div>
        </div>
      </div>
    </ng-container>
  </ion-content>
</div>
